--Resultaten Artikelen
--
--Opmerking: De resultaten kunnen verschillen mbt de live-databases zoals RE/RI Dedicated omgevingen !  Je hebt hier geen bevroren momentopname !

declare @va datetime, @tm datetime
set @va = '2013-01-01'
set @tm = '2013-03-20'

select
	i.[Item No_]
	, cast(nota.[Nota] as int) as [Nota]
	, cast(ile.[VRK] as int) as [VRK]
	, cast(ile.[ONT] as int) as [ONT]
	, cast(vrd.[EVRD] as int) as [EVRD]
	, cast(price.[Advpr] as money) as [Advpr]
	, cast(ve.[Inkw Verkoop] as money) as [Inkw Verkoop]
	, cast(ve.[Vrkw Verkoop] as money) as [Vrkw Verkoop]
	, cast(omzsn.[Omzetsnelheid] as decimal(10,2)) as [Omzsn]
	, cast(omzsn.[Rentabiliteit] as decimal(10,2)) as [Rentb]
	, cast(case when ve.[Vrkw Verkoop] = 0 then null else (ve.[Vrkw Verkoop] - ve.[Inkw Verkoop]) / ve.[Vrkw Verkoop] end * 100 as decimal(10,2)) as [Mrg]
from
(
	select '_Totaal_' as [Item No_]
	union select [No_] as [Item No_] from [All$Item]
) i

left join
(
select
	'_Totaal_' as [Item No_]
	, sum(p.[Quantity]) as [Nota]
from
	[fact Purchase Full] p
where
	p.[Posting Date] = @tm

union all

select
	p.[Item No_]
	, sum(p.[Quantity])
from
	[fact Purchase Full] p
where
	p.[Posting Date] = @tm
group by
	p.[Item No_]
) nota on
	nota.[Item No_] = i.[Item No_]

left join
(
select
	'_Totaal_' as [Item No_]
	, -sum(case when ile.[Entry Type] = 1 then ile.[Quantity] end) as [VRK]
	, sum(case when ile.[Entry Type] = 0 then ile.[Quantity] end) as [ONT]
from
	[All$Item Ledger Entry] ile
where
	ile.[Posting Date] between @va and @tm

union all	

select
	ile.[Item No_]
	, -sum(case when ile.[Entry Type] = 1 then ile.[Quantity] end) as [VRK]
	, sum(case when ile.[Entry Type] = 0 then ile.[Quantity] end) as [ONT]
from
	[All$Item Ledger Entry] ile
where
	ile.[Posting Date] between @va and @tm
group by
	ile.[Item No_]
) ile on
	ile.[Item No_] = i.[Item No_]

left join
(
select
	'_Totaal_' as [Item No_]
	, sum(iles.[Quantity]) as [EVRD]
from
	[fact ILE Units Tallied Full] iles
where
	iles.[Posting Date] = @tm

union all

select
	iles.[Item No_]
	, sum(iles.[Quantity])
from
	[fact ILE Units Tallied Full] iles
where
	iles.[Posting Date] = @tm
group by
	iles.[Item No_]
) vrd on 
	vrd.[Item No_] = i.[Item No_]
	
left join
(
	select
		[Item No_]
		, [Gemiddelde Inkw Voorraad]
		, [Inkw Verkoop]
		, [Vrkw Verkoop]
		, case when [Inkw Verkoop] = 0 or [Gemiddelde Inkw Voorraad] = 0 then null else (([Inkw Verkoop]) / [Gemiddelde Inkw Voorraad]) * 365.25 end as [Omzetsnelheid]
		, case when [Inkw Verkoop] = 0 or [Gemiddelde Inkw Voorraad] = 0 then null else ((([Inkw Verkoop]) / [Gemiddelde Inkw Voorraad]) * 365.25) * ([Vrkw Verkoop]-[Inkw Verkoop]) / [Inkw Verkoop] * 100 end as [Rentabiliteit]
	from
	(
	select
		'_Totaal_' as [Item No_]
		, sum(supplies.[Cost Amount Cum]) as [Gemiddelde Inkw Voorraad]
		, -sum(supplies.[Sales Cost Amount]) as [Inkw Verkoop]
		, sum(supplies.[Sales Amount]) as [Vrkw Verkoop]
	from
		[fact ILE Current Supplies Full] supplies
	--join
	--	(
	--		select [Item No_] from [All$Item Ledger Entry] where [Posting Date] between @va and @tm
	--		union select [Item No_] from [fact Purchase ile] where [Posting Date] between @va and @tm
	--	) i	on 
	--		supplies.[Item No_] = i.[Item No_]
	where
		supplies.[Posting Date] = @tm

	union all

	select
		supplies.[Item No_]
		, sum(supplies.[Cost Amount Cum]) as [Gemiddelde Inkw Voorraad]
		, -sum(supplies.[Sales Cost Amount]) as [Inkw Verkoop]
		, sum(supplies.[Sales Amount]) as [Vrkw Verkoop]
	from
		[fact ILE Current Supplies Full] supplies
	--join
	--	(
	--		select [Item No_] from [All$Item Ledger Entry] where [Posting Date] between @va and @tm
	--		union select [Item No_] from [fact Purchase ile] where [Posting Date] between @va and @tm
	--	) i	on 
	--		supplies.[Item No_] = i.[Item No_]	
	where
		supplies.[Posting Date] = @tm
	group by
		supplies.[Item No_]
	) t
) omzsn on
	omzsn.[Item No_] = i.[Item No_]
	
left join
(
	select
		'_Totaal_' as [Item No_]
		, -sum(ve.[Cost Amount (Actual)] + ve.[Cost Amount (Expected)]) as [Inkw Verkoop]
		, sum(ve.[Sales Amount (Actual)] + ve.[Sales Amount (Expected)]) as [Vrkw Verkoop]
	from
		[fact ve] ve 
		--[All$Value Entry] ve
	where
		ve.[Item Ledger Entry Type] = 1
	and
		ve.[ILE Posting Date] between @va and @tm

	union all	

	select
		ve.[Item No_]
		, -sum(ve.[Cost Amount (Actual)] + ve.[Cost Amount (Expected)]) as [Inkw Verkoop]
		, sum(ve.[Sales Amount (Actual)] + ve.[Sales Amount (Expected)]) as [Vrkw Verkoop]
	from
		[fact ve] ve 
		--[All$Value Entry] ve
	where
		ve.[Item Ledger Entry Type] = 1
	and
		ve.[ILE Posting Date] between @va and @tm
	group by
		ve.[Item No_]
) ve on
	ve.[Item No_] = i.[Item No_]
	
left join
(
	select
		price.[Item No_]
		, max(price.[rp Unit Price]) as [Advpr]
	from
		[fact Unit Price] price
	group by
		price.[Item No_]
) price on
	price.[Item No_] = i.[Item No_]

where	
	not nota.[Item No_] is null
	or not ile.[Item No_] is null
	or not vrd.[Item No_] is null
	or not ve.[Item No_] is null
	
order by 1
