select
	--p.[Location Code], p_vv.[Location Code]
	p.[Item No_], p_vv.[Item No_] as [Item No_ VV]
	, p.[Variant Code], p_vv.[Variant Code] as [Variant Code VV]
	, p.[Order Date], p_vv.[Order Date] as [Order Date VV]
	, p.[Order Quantity], p_vv.[Order Quantity] as [Order Quantity VV]

from
(
select
	--p.[Location Code]
	p.[Item No_]
	, p.[Variant Code]
	, p.[Order Date]
	, sum(p.[ACAOrder Quantity]) as [Order Quantity]
	
from
	[pln$Logistiek$Merchandiseplan] mpln
join
	[pln$Logistiek$MerchandiseSubplan] spln on
		mpln.[Nummer] = spln.[Nummer]
join
	[pln$Logistiek$MerchandiseSubplanLocation] spln_l on
		spln_l.[nummer] = spln.[nummer]		
		and spln_l.[SubNummer] = spln.[SubNummer]		
join
	[All$RetProduct Plan] ppc on
		ppc.[Table ID] = 11189112 
		--and ppc.[No_] = i.[ACACollection]
		and ppc.[Product Plan Value] = replace(mpln.[Jaar], 'zzOverige', 'Overige')
join
	[All$RetProduct Plan] pps on
		pps.[Table ID] = 11189113 
		--and pps.[No_] = i.[ACASeason]
		and pps.[Product Plan Value] = replace(mpln.[Seizoen], 'zzOverige', 'Overige')
join
	[Logistiek$vw_purchase_vv] p on 
		--p.[Item No_] = i.[No_]
		p.[Location Code] = spln_l.[Location Code]
		and p.[Collection] = ppc.[No_]
		and p.[Season] = pps.[No_]
join
	[All$RetMerchandise Level] ml on
		mpln.[Niveau] = ml.[Description]
join
	[All$Item] i on
		i.[No_] = p.[Item No_]
		
left join
	[All$RetMerchandise Structure] ms on
		ms.[No_] = left(i.[RetMerchandise Code], ml.[No_])
	
--plnMerk	
left join
	[All$RetProduct Plan] ppm on
		ppm.[Table ID] = 11189117 
		and ppm.[No_] = i.[ACABrand]
		
--Extern Merk
		
--ExtraLevel: Optionele Harde Filter
left join
	[pln$Logistiek$SettingsMerchandiseplan] settings2 on
		settings2.[Naam] = [mpln].[Subplan]
		--or [mpln].[Subplan] = 'Geen indeling'
left join
	(
		select distinct
			[Table ID], [Product Plan Level]
		from
			[All$RetProduct Plan]
	) pp_table_id2 on
		pp_table_id2.[Product Plan Level] = settings2.[Product Plan level]
left join
	(
		SELECT 
			mplnel.[Nummer]
			, mplnel.[SubNummer]
			, mplnel.[ExtraLevelValue] as [ExtraLevel]
			, sm.[Product Plan Level]
			, pp.[Product Plan Value]
			, pp.[No_]
			, pp.[Table ID]
		FROM 
			[pln$Logistiek$Merchandiseplan] m
		join
			[pln$Logistiek$SettingsMerchandiseplan] sm on
				m.[Subplan] = sm.[Naam]
		join
			[All$RetProduct Plan] pp on
				pp.[Product Plan Level] = sm.[Product Plan Level]
		join
			[pln$Logistiek$MerchandiseSubplanExtralevel] mplnel on
				mplnel.[Nummer] = m.[Nummer]
				--and mplnel.[SubNummer] = sm.[SubNummer]
				and mplnel.[ExtralevelValue] = pp.[Product Plan Value]
	) extra2 on
		extra2.[Nummer] = spln.[Nummer]
		and extra2.[SubNummer] = spln.[SubNummer]
		and extra2.[No_] = 
			case pp_table_id2.[Table ID] 
			when 11019351 then i.[RetSub Season Code] 
			when 11189103 then i.[ACAVert Component Group] 
			when 11189104 then i.[ACAHorz Component Group]
			when 11189112 then i.[ACACollection]
			when 11189113 then i.[ACASeason]
			when 11189114 then i.[ACATheme]
			when 11189115 then i.[ACAUserDefinedTable]
			when 11189116 then i.[ACAItem Status]
			when 11189117 then i.[ACABrand]
			when 11019348 then i.[RetTarget Area Code]
			when 11189136 then i.[ACAComponent 3]
			when 11189140 then i.[ACAComponent 4]
			when 11189154 then i.[ACAComponent 5]
			when 11189155 then i.[ACAComponent 6]
			when 11189156 then i.[ACAComponent 7]
			when 11189157 then i.[ACAComponent 8]
			when 11189158 then i.[ACAComponent 9]
			when 11189159 then i.[ACAComponent 10]
			when 11019211 then i.[RetMerchandise Code]
			when 11019345 then i.[RetSubsize]
			when 11019350 then i.[RetMaterial Code]
			end

--ExtraLevel
left join
	[pln$Logistiek$SettingsMerchandiseplan] sm_pln on
		sm_pln.[Naam] = [mpln].[ExtraLevel]
left join
	(
		select distinct
			[Table ID], [Product Plan Level]
		from
			[All$RetProduct Plan]
	) pp_table_id on
		pp_table_id.[Product Plan Level] = sm_pln.[Product Plan level]
left join
	(
		SELECT 
			m.[Nummer]
			, m.[ExtraLevel]
			, sm.[Product Plan Level]
			, pp.[Product Plan Value]
			, pp.[No_]
			, pp.[Table ID]
		FROM 
			[pln$Logistiek$Merchandiseplan] m
		join
			[pln$Logistiek$SettingsMerchandiseplan] sm on
				m.[ExtraLevel] = sm.[Naam]
		join
			[All$RetProduct Plan] pp on
				pp.[Product Plan Level] = sm.[Product Plan Level]
	) extra on
		extra.[Nummer] = mpln.[Nummer]
		and extra.[No_] = 
			case pp_table_id.[Table ID] 
			when 11019351 then i.[RetSub Season Code] 
			when 11189103 then i.[ACAVert Component Group] 
			when 11189104 then i.[ACAHorz Component Group]
			when 11189112 then i.[ACACollection]
			when 11189113 then i.[ACASeason]
			when 11189114 then i.[ACATheme]
			when 11189115 then i.[ACAUserDefinedTable]
			when 11189116 then i.[ACAItem Status]
			when 11189117 then i.[ACABrand]
			when 11019348 then i.[RetTarget Area Code]
			when 11189136 then i.[ACAComponent 3]
			when 11189140 then i.[ACAComponent 4]
			when 11189154 then i.[ACAComponent 5]
			when 11189155 then i.[ACAComponent 6]
			when 11189156 then i.[ACAComponent 7]
			when 11189157 then i.[ACAComponent 8]
			when 11189158 then i.[ACAComponent 9]
			when 11189159 then i.[ACAComponent 10]
			when 11019211 then i.[RetMerchandise Code]
			when 11019345 then i.[RetSubsize]
			when 11019350 then i.[RetMaterial Code]
			end

where
	(
	/*
	Optionele harde filter 'ExtralevelValue' in [MerchandiseSubplanExtraLevel]
						of 'Subplan'		 in [Merchandiseplan].
	*/
	
	--Indien NIET aanwezig --> geen filter --> ALLE joins zijn null.
	settings2.[Naam] is null and extra2.[Nummer] is null
	or
	--Indien aanwezig --> Harde Filter --> ALLE joins zijn NIET null.
	not settings2.[Naam] is null and not extra2.[Nummer] is null
	)

	and spln.[Nummer] = 34
	and isnull(nullif(ltrim(replace(ppm.[Product Plan Value], 'Overige', 'zzOverige')), ''), 'zzOverige') = 'TRES'

group by
	--p.[Location Code]
	p.[Item No_]
	, p.[Variant Code]
	, p.[Order Date]

) p_vv

full join

(
select
	--p.[Location Code]
	p.[Item No_]
	, p.[Variant Code]
	, p.[Order Date]
	, sum(p.[ACAOrder Quantity]) as [Order Quantity]

from
	[pln$Logistiek$Merchandiseplan] mpln
join
	[pln$Logistiek$MerchandiseSubplan] spln on
		mpln.[Nummer] = spln.[Nummer]
join
	[pln$Logistiek$MerchandiseSubplanLocation] spln_l on
		spln_l.[nummer] = spln.[nummer]		
		and spln_l.[SubNummer] = spln.[SubNummer]		
join
	[All$RetProduct Plan] ppc on
		ppc.[Table ID] = 11189112 
		--and ppc.[No_] = i.[ACACollection]
		and ppc.[Product Plan Value] = replace(mpln.[Jaar], 'zzOverige', 'Overige')
join
	[All$RetProduct Plan] pps on
		pps.[Table ID] = 11189113 
		--and pps.[No_] = i.[ACASeason]
		and pps.[Product Plan Value] = replace(mpln.[Seizoen], 'zzOverige', 'Overige')
join
	[Logistiek$vw_purchase] p on 
		--p.[Item No_] = i.[No_]
		p.[Location Code] = spln_l.[Location Code]
		and p.[Collection] = ppc.[No_]
		and p.[Season] = pps.[No_]
join
	[All$RetMerchandise Level] ml on
		mpln.[Niveau] = ml.[Description]
join
	[All$Item] i on
		i.[No_] = p.[Item No_]
		
left join
	[All$RetMerchandise Structure] ms on
		ms.[No_] = left(i.[RetMerchandise Code], ml.[No_])
	
--plnMerk	
left join
	[All$RetProduct Plan] ppm on
		ppm.[Table ID] = 11189117 
		and ppm.[No_] = i.[ACABrand]
		
--Extern Merk
		
--ExtraLevel: Optionele Harde Filter
left join
	[pln$Logistiek$SettingsMerchandiseplan] settings2 on
		settings2.[Naam] = [mpln].[Subplan]
		--or [mpln].[Subplan] = 'Geen indeling'
left join
	(
		select distinct
			[Table ID], [Product Plan Level]
		from
			[All$RetProduct Plan]
	) pp_table_id2 on
		pp_table_id2.[Product Plan Level] = settings2.[Product Plan level]
left join
	(
		SELECT 
			mplnel.[Nummer]
			, mplnel.[SubNummer]
			, mplnel.[ExtraLevelValue] as [ExtraLevel]
			, sm.[Product Plan Level]
			, pp.[Product Plan Value]
			, pp.[No_]
			, pp.[Table ID]
		FROM 
			[pln$Logistiek$Merchandiseplan] m
		join
			[pln$Logistiek$SettingsMerchandiseplan] sm on
				m.[Subplan] = sm.[Naam]
		join
			[All$RetProduct Plan] pp on
				pp.[Product Plan Level] = sm.[Product Plan Level]
		join
			[pln$Logistiek$MerchandiseSubplanExtralevel] mplnel on
				mplnel.[Nummer] = m.[Nummer]
				--and mplnel.[SubNummer] = sm.[SubNummer]
				and mplnel.[ExtralevelValue] = pp.[Product Plan Value]
	) extra2 on
		extra2.[Nummer] = spln.[Nummer]
		and extra2.[SubNummer] = spln.[SubNummer]
		and extra2.[No_] = 
			case pp_table_id2.[Table ID] 
			when 11019351 then i.[RetSub Season Code] 
			when 11189103 then i.[ACAVert Component Group] 
			when 11189104 then i.[ACAHorz Component Group]
			when 11189112 then i.[ACACollection]
			when 11189113 then i.[ACASeason]
			when 11189114 then i.[ACATheme]
			when 11189115 then i.[ACAUserDefinedTable]
			when 11189116 then i.[ACAItem Status]
			when 11189117 then i.[ACABrand]
			when 11019348 then i.[RetTarget Area Code]
			when 11189136 then i.[ACAComponent 3]
			when 11189140 then i.[ACAComponent 4]
			when 11189154 then i.[ACAComponent 5]
			when 11189155 then i.[ACAComponent 6]
			when 11189156 then i.[ACAComponent 7]
			when 11189157 then i.[ACAComponent 8]
			when 11189158 then i.[ACAComponent 9]
			when 11189159 then i.[ACAComponent 10]
			when 11019211 then i.[RetMerchandise Code]
			when 11019345 then i.[RetSubsize]
			when 11019350 then i.[RetMaterial Code]
			end

--ExtraLevel
left join
	[pln$Logistiek$SettingsMerchandiseplan] sm_pln on
		sm_pln.[Naam] = [mpln].[ExtraLevel]
left join
	(
		select distinct
			[Table ID], [Product Plan Level]
		from
			[All$RetProduct Plan]
	) pp_table_id on
		pp_table_id.[Product Plan Level] = sm_pln.[Product Plan level]
left join
	(
		SELECT 
			m.[Nummer]
			, m.[ExtraLevel]
			, sm.[Product Plan Level]
			, pp.[Product Plan Value]
			, pp.[No_]
			, pp.[Table ID]
		FROM 
			[pln$Logistiek$Merchandiseplan] m
		join
			[pln$Logistiek$SettingsMerchandiseplan] sm on
				m.[ExtraLevel] = sm.[Naam]
		join
			[All$RetProduct Plan] pp on
				pp.[Product Plan Level] = sm.[Product Plan Level]
	) extra on
		extra.[Nummer] = mpln.[Nummer]
		and extra.[No_] = 
			case pp_table_id.[Table ID] 
			when 11019351 then i.[RetSub Season Code] 
			when 11189103 then i.[ACAVert Component Group] 
			when 11189104 then i.[ACAHorz Component Group]
			when 11189112 then i.[ACACollection]
			when 11189113 then i.[ACASeason]
			when 11189114 then i.[ACATheme]
			when 11189115 then i.[ACAUserDefinedTable]
			when 11189116 then i.[ACAItem Status]
			when 11189117 then i.[ACABrand]
			when 11019348 then i.[RetTarget Area Code]
			when 11189136 then i.[ACAComponent 3]
			when 11189140 then i.[ACAComponent 4]
			when 11189154 then i.[ACAComponent 5]
			when 11189155 then i.[ACAComponent 6]
			when 11189156 then i.[ACAComponent 7]
			when 11189157 then i.[ACAComponent 8]
			when 11189158 then i.[ACAComponent 9]
			when 11189159 then i.[ACAComponent 10]
			when 11019211 then i.[RetMerchandise Code]
			when 11019345 then i.[RetSubsize]
			when 11019350 then i.[RetMaterial Code]
			end

where
	(
	/*
	Optionele harde filter 'ExtralevelValue' in [MerchandiseSubplanExtraLevel]
						of 'Subplan'		 in [Merchandiseplan].
	*/
	
	--Indien NIET aanwezig --> geen filter --> ALLE joins zijn null.
	settings2.[Naam] is null and extra2.[Nummer] is null
	or
	--Indien aanwezig --> Harde Filter --> ALLE joins zijn NIET null.
	not settings2.[Naam] is null and not extra2.[Nummer] is null
	)

	and spln.[Nummer] = 34
	and isnull(nullif(ltrim(replace(ppm.[Product Plan Value], 'Overige', 'zzOverige')), ''), 'zzOverige') = 'TRES'

group by
	--p.[Location Code]
	p.[Item No_]
	, p.[Variant Code]
	, p.[Order Date]

) p on
	--p.[Location Code] = p_vv.[Location Code]
	p.[Item No_] = p_vv.[Item No_]
	and p.[Variant Code] = p_vv.[Variant Code]
	and p.[Order Date] = p_vv.[Order Date]

where
	p.[Item No_] is null
	or
	p_vv.[Item No_] is null
	or
	p.[Order Quantity] != p_vv.[Order Quantity]