select
	isnull(lts.[Item No_], ve.[Item No_]) as [Item No_]
	, isnull(lts.[Variant Code], ve.[Variant Code]) as [Variant Code]
	, lts.[lts Quantity]
	, lts_iles.[lts Quantity] as [lts total Quantity]
	, lts.[lts Cost Amount]
	, ve.[ve Cost Amount]
	, lts_iles.[lts Cost Amount] as [lts total Cost Amount]
	, ve.[ve Cost Amount] - lts.[lts Cost Amount] as [Difference]
	
from
(
	select
		lts.[Item No_]
		, lts.[Variant Code]
		, sum(lts.[EVRD verdeling]) as [lts Quantity]
		, cast(sum(lts.[Inkw EVRD verdeling]) as money) as [lts Cost Amount]
	from
		[fact lts] lts
	group by
		lts.[Item No_]
		, lts.[Variant Code]
) lts

full join

(
	select
		ve.[Item No_]
		, ve.[Variant Code]
		, cast(sum(ve.[Cost Amount (Actual)]) + sum(ve.[Cost Amount (Expected)]) as  money) as [ve Cost Amount]
	from
		[All$Value Entry] AS ve
	LEFT OUTER JOIN
		[All$Item Ledger Entry] AS ile ON 
			ve.[Item Ledger Entry No_] = ile.[Entry No_]
	join
		[All$RetInterface Setup] ltd on
			ve.[Posting Date] <= ltd.[Ref_ Date Age Comp_ RI]
			--ile.[Posting Date] <= ltd.[Ref_ Date Age Comp_ RI]
	group by
		ve.[Item No_]
		, ve.[Variant Code]
) ve on
	lts.[Item No_] = ve.[Item No_]
	and lts.[Variant Code] = ve.[Variant Code]

full join
(
	select
		lts.[Item No_]
		, lts.[Variant Code]
		, sum(lts.[quantity]) as [lts Quantity]
		, sum(lts.[Cost Amount (Actual)]) + sum(lts.[Cost Amount (Expected)]) as [lts Cost Amount]
	from
		[ana$All$LTS Snapshot] lts
	group by
		lts.[Item No_]
		, lts.[Variant Code]
) lts_iles on
	lts_iles.[Item No_] = ve.[Item No_]
	and lts_iles.[Variant Code] = ve.[Variant Code]

where
	lts.[lts Cost Amount] != ve.[ve Cost Amount]